# $Header: $

EAPI="7"

DESCRIPTION="LaTeX package for drawing flags of countries using PSTricks"
HOMEPAGE="https://ctan.org/tex-archive/graphics/pstricks/contrib/pst-flags"

SRC_URI="http://mirrors.ctan.org/graphics/pstricks/contrib/pst-flags.zip -> ${P}.zip"

LICENSE="lppl-1-3c"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~ppc-macos"
SLOT="0"

IUSE=""
DEPEND="app-text/texlive
	app-arch/unzip"

src_unpack() {
	if [[ -n ${A} ]]; then
		unpack ${A}
		mv ${PN} ${P}
	fi
}

src_compile() {
	tex ${PN}.ins
}

src_install() {
	dodoc README.md doc/${PN}-examples.tex doc/${PN}-doc.tex doc/${PN}-doc.pdf

	insinto /usr/share/texmf-dist/tex/latex
	doins tex/${PN}.sty
}

pkg_postinst() {
	texhash
}

pkg_postrm() {
	texhash
}
